Bug 980894 - (CVE-2013-2221) CVE-2013-2221 libzrtpcpp: Heap-based buffer overflow when processing overly-large ZRTP packets
CVE-2013-2221 libzrtpcpp: Heap-based buffer overflow when processing overly-l...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130627,repor...
: Security
Depends On: 980904 980905
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 09:16 EDT by Jan Lieskovsky
Modified: 2015-07-31 03:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 02:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-03 09:16:43 EDT
A heap-based buffer overflow flaw was found in the way libzrtpcpp, a ZRTP support library for the GNU ccRTP stack, processed certain ZRTP packets (overly-large ZRTP packets of several types). A remote attacker could provide a specially-crafted ZRTP packet that, when processed in an application linked against libzrtpcpp would lead to that application crash or, potentially, arbitrary code execution with the privileges of the user running that application.

References:
[1] http://www.openwall.com/lists/oss-security/2013/06/29/1
[2] http://www.openwall.com/lists/oss-security/2013/06/30/2
[3] http://blog.azimuthsecurity.com/2013/06/attacking-crypto-phones-weaknesses-in.html

Relevant upstream patch:
[4] https://github.com/wernerd/ZRTPCPP/commit/c8617100f359b217a974938c5539a1dd8a120b0e
Comment 1 Jan Lieskovsky 2013-07-03 09:27:26 EDT
This issue affects the versions of the libzrtpcpp package, as shipped with Fedora release of 17 and 18. Please schedule an update.

--

This issue affects the versions of the libzrtpcpp package, as shipped with Fedora EPEL-5 and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-07-03 09:31:14 EDT
Created libzrtpcpp tracking bugs for this issue:

Affects: fedora-all [bug 980904]
Comment 3 Jan Lieskovsky 2013-07-03 09:34:09 EDT
Created libzrtpcpp tracking bugs for this issue:

Affects: epel-all [bug 980905]
Comment 4 Fedora Update System 2013-07-15 21:43:08 EDT
libzrtpcpp-2.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.